Subject: Re: bug#13225: 24.3.50; Non-selected window has not mode-line-inactive face

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Dec 2012 19:09:06 +0200

> Date: Thu, 20 Dec 2012 10:59:00 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > I can fix this with the kludge shown below, but do we care about yet
>  > another global variable, in addition to selected_window?  If we don't
>  > want this, then the only other way I see is to drag this window all
>  > the way down to display_mode_lines through the calling sequences.
>  > (That's assuming that only the mode-line display wants to know about
>  > the _real_ selected_window.)
> 
> There might still be glitches with the region as Angelo mentioned in the
> previous thread.

Could someone please post a complete precise recipe, starting from
"emacs -Q"?  I don't think I understand what glitches are we talking
about.

> But I am surprised that currently the cursor is drawn correctly,
> that is, a hollow box is drawn on the non-selected frame's window.
> How is that managed without a kludge similar to the one you describe
> here?

I just explained that in another message here.